<?php
	include_once(__DIR__."/../../core.php");

	
	
	$idmodulo = $html->form('idmodule');
	$module_name=get_module_name_by_id($idmodulo);

	
	$iddocumento = $html->form('iddocumento');
	$idriga = $html->form('idriga');
	$dir = get_var_tipodoc2($iddocumento,"dir");	
	$mod_mag = get_var_tipodoc2($iddocumento,"mod_mag");
	//Info documento
	$q = "SELECT * FROM co_documenti WHERE id='".$iddocumento."'";
	$rs = $dbo->fetchArray($q);
	( $rs[0]['numero_esterno'] != '' ) ? $numero=$rs[0]['numero_esterno'] : $numero=$rs[0]['numero'];
	$idanagrafica = $rs[0]['idanagrafica'];
	$idconto_fattura = $rs[0]['idconto'];
	
	//Info riga inserita
	$q = "SELECT * FROM co_righe_documenti WHERE iddocumento='".$iddocumento."' AND id='".$idriga."'";
	$rsr = $dbo->fetchArray($q);
	$idconto_fattura = $rsr[0]['idconto'];
	$id_magazzino_e=$rsr[0]['id_magazzino_e'];
	// seleziono magazzino definito in impostazioni

		$rs_mag = $dbo->fetchArray("SELECT nome FROM mg_magazzini WHERE id='".$rsr[0]['id_magazzino_e']."'");
		$nome_magazzino=$rs_mag[0]['nome'];

	
	/*
		Form di modifica riga documento
	*/
	echo "<label>Documento numero ".$numero."</label><br><br>\n";
	echo "<form id=\"link_form\" action=\"".$rootdir."/editor.php?id_module=".$modules_info[$module_name]['id']."&id_record=".$iddocumento."\" method=\"post\">\n";
	
	echo "	<input type='hidden' name='op' value='editriga_canone'>\n";
	echo "	<input type='hidden' name='idriga' value='".$idriga."'>\n";
	echo "	<input type='hidden' name='backto' value='record-edit'>\n";
	echo "	<input type='hidden' name='dir' value='".$dir."'>\n";
	
	
	
	//Descrizione
	echo "	<div class='row'>\n";
	echo "		<div class='col-md-12'>\n";
	echo "			<label>Descrizione</label>\n";
	echo "			<textarea name=\"descrizione\" id=\"descrizione\" class='form-control' >".$rsr[0]['descrizione']."</textarea>\n";
	echo "		</div>\n";
	echo "	</div>\n";
			
	echo "<br>";

	
	
	echo "<div class='panel panel-primary'>";
		echo "<div class='panel-body'>";
			echo "	<div class='row'>\n";			
				echo "		<div class='col-md-3'>\n";
				echo "			<label>Tipologia Assistenza</label>\n";
					echo "			<select id='idtipoassistenza' class='superselect' name=\"idtipoassistenza\">\n";														
					echo "					<option value='1'>In Assistenza</option>\n";	
					echo "	<option value='1' $attr>In Assistenza</option>\n";
					echo "	<option value='2' $attr>Extra Canone</option>\n";
				
					echo "			</select>\n";	
				echo "		</div>\n";
			echo "		</div>\n";		
		echo "		</div>\n";	
	echo "	</div>\n";
	
	
	
	
	
	
	
	
	
	
	
	
	
	echo "	<a onclick=\"addriga();\" class=\"btn btn-primary pull-right\"><i class=\"fa fa-edit\"></i> Modifica</a>\n";
	echo "</form>\n";
?>

	<script type="text/javascript">
	
		function addriga(){
			if( $('#descrizione').val()!='' ){
				$("#link_form").submit();
			}
		}
		
		$(document).ready( function(){
		
			start_superselect();
			start_inputmask();
		
		});
	</script>

	<div class="clearfix"></div>

